custom.0.yaml (1786B)
1 # To include an endpoint that isn't a part of your Laravel app (or belongs to a vendor package), 2 # you can define it in a custom.*.yaml file, like this one. 3 # Each custom file should contain an array of endpoints. Here's an example: 4 # See https://scribe.knuckles.wtf/laravel/documenting/custom-endpoints#extra-sorting-groups-in-custom-endpoint-files for more options 5 6 #- httpMethods: 7 # - POST 8 # uri: api/doSomething/{param} 9 # metadata: 10 # groupName: The group the endpoint belongs to. Can be a new group or an existing group. 11 # groupDescription: A description for the group. You don't need to set this for every endpoint; once is enough. 12 # subgroup: You can add a subgroup, too. 13 # title: Do something 14 # description: 'This endpoint allows you to do something.' 15 # authenticated: false 16 # headers: 17 # Content-Type: application/json 18 # Accept: application/json 19 # urlParameters: 20 # param: 21 # name: param 22 # description: A URL param for no reason. 23 # required: true 24 # example: 2 25 # type: integer 26 # queryParameters: 27 # speed: 28 # name: speed 29 # description: How fast the thing should be done. Can be `slow` or `fast`. 30 # required: false 31 # example: fast 32 # type: string 33 # bodyParameters: 34 # something: 35 # name: something 36 # description: The things we should do. 37 # required: true 38 # example: 39 # - string 1 40 # - string 2 41 # type: 'string[]' 42 # responses: 43 # - status: 200 44 # description: 'When the thing was done smoothly.' 45 # content: # Your response content can be an object, an array, a string or empty. 46 # { 47 # "hey": "ho ho ho" 48 # } 49 # responseFields: 50 # hey: 51 # name: hey 52 # description: Who knows? 53 # type: string # This is optional